PATCH /v1/reseller_stores/{rst_id}/source_stores/{id}

Update a source store

Updates a source store's configuration.

Updates a source store’s name, pricing mode, or pricing configuration. All fields are optional.

Path parameters

id string REQUIRED
rst_id object REQUIRED

Body parameters

name string OPTIONAL
pricingMode string OPTIONAL

Possible enum values:

  • percentage
  • field_rules
pricingConfig object OPTIONAL

Pricing configuration. Shape depends on pricingMode.

Responses

200

400

Validation failed

404

Request

curl -X PATCH https://api.example.com/v1/reseller_stores/:id/source_stores/:id \
  -H "Authorization: Bearer sk_test_..." \
  -H "Content-Type: application/json" \
  -d '{}'

Response

200 200 OK
{
  "id": "example_id",
  "resellerStoreId": "example_resellerStoreId",
  "name": "example_name",
  "platform": "shopify",
  "shopDomain": "example_shopDomain",
  "vendorTag": "example_vendorTag",
  "pricingMode": "percentage",
  "pricingConfig": {},
  "createdAt": "example_createdAt",
  "deletedAt": "example_deletedAt",
  "request_id": "example_request_id"
}